Index: cpukit/score/inline/rtems/score/thread.inl
===================================================================
--- cpukit/score/inline/rtems/score/thread.inl	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ cpukit/score/inline/rtems/score/thread.inl	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -242,9 +242,11 @@
   Objects_Classes      the_class;
   Objects_Information *information;
+  Thread_Control      *tp = (Thread_Control *) 0;
  
   if ( _Objects_Are_ids_equal( id, OBJECTS_ID_OF_SELF ) ) {
     _Thread_Disable_dispatch();
     *location = OBJECTS_LOCAL;
-    return( _Thread_Executing );
+    tp = _Thread_Executing;
+    goto done;
   }
  
@@ -253,5 +255,5 @@
   if ( the_class > OBJECTS_CLASSES_LAST ) {
     *location = OBJECTS_ERROR;
-    return (Thread_Control *) 0;
+    goto done;
   }
  
@@ -260,9 +262,13 @@
   if ( !information || !information->is_thread ) {
     *location = OBJECTS_ERROR;
-    return (Thread_Control *) 0;
+    goto done;
   }
  
-  return (Thread_Control *) _Objects_Get( information, id, location );
-}
+  tp = (Thread_Control *) _Objects_Get( information, id, location );
+ 
+done:
+  return tp;
+}
+
 
 /*
Index: testsuites/support/include/tmacros.h
===================================================================
--- testsuites/support/include/tmacros.h	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ testsuites/support/include/tmacros.h	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -22,6 +22,5 @@
 #endif
 
-#include <rtems.h>
-#include <bsp.h>
+#include <bsp.h>    /* includes <rtems.h> */
 
 #include <stdio.h>
@@ -41,21 +40,27 @@
 
 #define fatal_directive_status( stat, desired, msg ) \
-     { \
+     do { \
        if ( (stat) != (desired) ) { \
          printf( "\n%s FAILED -- expected (%d) got (%d)\n", \
                  (msg), (desired), (stat) ); \
+         fflush(stdout); \
          exit( stat ); \
        } \
-     }
+     } while ( 0 ) 
 
 #define sprint_time(str,s1,tb,s2) \
+  do { \
     sprintf( (str), "%s%02d:%02d:%02d   %02d/%02d/%04d%s", \
        s1, (tb)->hour, (tb)->minute, (tb)->second, \
-       (tb)->month, (tb)->day, (tb)->year, s2 );
+       (tb)->month, (tb)->day, (tb)->year, s2 ); \
+  } while ( 0 )
 
 #define print_time(s1,tb,s2) \
+  do { \
     printf( "%s%02d:%02d:%02d   %02d/%02d/%04d%s", \
        s1, (tb)->hour, (tb)->minute, (tb)->second, \
-       (tb)->month, (tb)->day, (tb)->year, s2 );
+       (tb)->month, (tb)->day, (tb)->year, s2 ); \
+    fflush(stdout); \
+  } while ( 0 )
 
 #define put_dot( c ) putchar( c ); fflush( stdout )
Index: tools/build/cklength.c
===================================================================
--- tools/build/cklength.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ tools/build/cklength.c	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -11,17 +11,4 @@
  *
  * $Id$
- * $Log$
- * Revision 1.4  1995/10/06  20:00:38  joel
- * SPARC merged and successfully tested w/o interrupt support
- *
- * Revision 1.3  1995/10/06 16:32:20  joel
- * moved to new development machine and went to gcc 2.7.0
- *
- * Revision 1.2  1995/05/31  16:44:26  joel
- * fixing revision
- *
- * Revision 1.1.1.1  1995/05/11  17:35:11  joel
- * Release 3.1.15
- *
  */
 
@@ -275,6 +262,6 @@
         if (error_flag & ERR_FATAL)
         {
-            error(0, local_errno ? "fatal error, exiting" : "exiting");
-            exit(local_errno);
+            error(0, "fatal error, exiting");
+            exit(local_errno ? local_errno : 1);
         }
         else
Index: tools/build/eolstrip.c
===================================================================
--- tools/build/eolstrip.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ tools/build/eolstrip.c	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -9,17 +9,4 @@
  *
  * $Id$
- * $Log$
- * Revision 1.4  1995/10/06  20:00:39  joel
- * SPARC merged and successfully tested w/o interrupt support
- *
- * Revision 1.3  1995/10/06 16:32:21  joel
- * moved to new development machine and went to gcc 2.7.0
- *
- * Revision 1.2  1995/05/31  16:44:28  joel
- * fixing revision
- *
- * Revision 1.1.1.1  1995/05/11  17:35:12  joel
- * Release 3.1.15
- *
  */
 
@@ -262,6 +249,6 @@
         if (error_flag & ERR_FATAL)
         {
-            error(0, local_errno ? "fatal error, exiting" : "exiting");
-            exit(local_errno);
+            error(0, "fatal error, exiting");
+            exit(local_errno ? local_errno : 1);
         }
         else
Index: tools/build/src/cklength.c
===================================================================
--- tools/build/src/cklength.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ tools/build/src/cklength.c	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -11,17 +11,4 @@
  *
  * $Id$
- * $Log$
- * Revision 1.4  1995/10/06  20:00:38  joel
- * SPARC merged and successfully tested w/o interrupt support
- *
- * Revision 1.3  1995/10/06 16:32:20  joel
- * moved to new development machine and went to gcc 2.7.0
- *
- * Revision 1.2  1995/05/31  16:44:26  joel
- * fixing revision
- *
- * Revision 1.1.1.1  1995/05/11  17:35:11  joel
- * Release 3.1.15
- *
  */
 
@@ -275,6 +262,6 @@
         if (error_flag & ERR_FATAL)
         {
-            error(0, local_errno ? "fatal error, exiting" : "exiting");
-            exit(local_errno);
+            error(0, "fatal error, exiting");
+            exit(local_errno ? local_errno : 1);
         }
         else
Index: tools/build/src/eolstrip.c
===================================================================
--- tools/build/src/eolstrip.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ tools/build/src/eolstrip.c	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -9,17 +9,4 @@
  *
  * $Id$
- * $Log$
- * Revision 1.4  1995/10/06  20:00:39  joel
- * SPARC merged and successfully tested w/o interrupt support
- *
- * Revision 1.3  1995/10/06 16:32:21  joel
- * moved to new development machine and went to gcc 2.7.0
- *
- * Revision 1.2  1995/05/31  16:44:28  joel
- * fixing revision
- *
- * Revision 1.1.1.1  1995/05/11  17:35:12  joel
- * Release 3.1.15
- *
  */
 
@@ -262,6 +249,6 @@
         if (error_flag & ERR_FATAL)
         {
-            error(0, local_errno ? "fatal error, exiting" : "exiting");
-            exit(local_errno);
+            error(0, "fatal error, exiting");
+            exit(local_errno ? local_errno : 1);
         }
         else
Index: tools/build/src/unhex.c
===================================================================
--- tools/build/src/unhex.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ tools/build/src/unhex.c	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -709,6 +709,6 @@
         if (error_flag & ERR_FATAL)
         {
-            error(0, local_errno ? "fatal error, exiting" : "exiting");
-            exit(local_errno);
+            error(0, "fatal error, exiting");
+            exit(local_errno ? local_errno : 1);
         }
         else
Index: tools/build/unhex.c
===================================================================
--- tools/build/unhex.c	(revision 5c491aef41558df022032b543d826ef4e49493b5)
+++ tools/build/unhex.c	(revision c64e4ed48285a0c944905bc02de89c20038f428b)
@@ -709,6 +709,6 @@
         if (error_flag & ERR_FATAL)
         {
-            error(0, local_errno ? "fatal error, exiting" : "exiting");
-            exit(local_errno);
+            error(0, "fatal error, exiting");
+            exit(local_errno ? local_errno : 1);
         }
         else
